package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ExcelNote;
import ${basePackage}.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import ${basePackage}.frame.excel.annotation.ExcelSheet;
import ${basePackage}.frame.base.BaseEntity;

/**
 * RES - 资源
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@ExcelSheet("资源")
public class Res extends BaseEntity {

    /**
     * RES_CODE - 资源代码
     */
    @ExcelProperty("资源代码")
    @ExcelNote("")
    private String resCode;
    /**
     * RES_NAME - 资源名称
     */
    @ExcelProperty("资源名称")
    @ExcelNote("")
    private String resName;
    /**
     * RES_TYPE - 资源类型
     */
    @ExcelProperty("资源类型")
    @ExcelNote("")
    private String resType;
    /**
     * RES_VALUE - 资源内容
     */
    @ExcelProperty("资源内容")
    @ExcelNote("")
    private String resValue;
    /**
     * SUP_CODE - 上级代码
     */
    @ExcelProperty("上级代码")
    @ExcelNote("")
    private String supCode;
    /**
     * SUP_NAME - 上级名称
     */
    @ExcelProperty("上级名称")
    @ExcelNote("")
    private String supName;
    /**
     * FREE - 是否免费
     */
    @ExcelProperty("是否免费")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean free;
    /**
     * VALID - 是否有效
     */
    @ExcelProperty("是否有效")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean valid;

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }

    public String getResName() {
        return this.resName;
    }

    public void setResName(String resName) {
        this.resName = resName;
    }

    public String getResType() {
        return this.resType;
    }

    public void setResType(String resType) {
        this.resType = resType;
    }

    public String getResValue() {
        return this.resValue;
    }

    public void setResValue(String resValue) {
        this.resValue = resValue;
    }

    public String getSupCode() {
        return this.supCode;
    }

    public void setSupCode(String supCode) {
        this.supCode = supCode;
    }

    public String getSupName() {
        return this.supName;
    }

    public void setSupName(String supName) {
        this.supName = supName;
    }

    public Boolean getFree() {
        return this.free;
    }

    public void setFree(Boolean free) {
        this.free = free;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}